Upgraded to 2019.3.12f1, even fresh new projects won't build

I have been working with an old Unity 3 project, upgraded that editor install to 5.3, then decided to try to fully update.

Installed Unity Hub, used it to install 2019.3.12f1, and ugrade that old project to 2019.3.

Now that project, and even fresh new projects created with 2019.3, have the following long list of compile errors when trying to build.

I am having similar issues. Lots of issues with the updates. I tried in two mac systems and my code shows multiple errors in both now. I am not sure how I can proceed now.